MITK won't start on some windows machines when using a remote desktop connection
Closed, InvalidPublic

Description

MITK won't start on some windows machines when using a remote desktop connection. According to the QT Docs and Stackoverflow this might be the case on machines that don't have the latest graphics driver installed and therefore starting OpenGL and ANGLE will fail (https://blog.qt.io/blog/2014/11/27/qt-weekly-21-dynamic-opengl-implementation-loading-in-qt-5-4/, http://stackoverflow.com/questions/34436168/cant-run-application-created-with-qt5-and-vs2013-in-windows-xp/34445451)

A possible fix might be: Copy the file opengl32sw.dll from the QT-Installation folder (e.g. Qt/Qt5.6.0/5.6/msvc2013_64/bin/opengl32sw.dll) to the installer using a cmake rule., because opengl32sw.dll is a fallback if both OpenGL and Angle fail.

gaehlert created this task.Sep 16 2016, 3:22 PM
gaehlert claimed this task.
gaehlert added a subscriber: klinowsk.

Can confirm the bug. Any progress on this?

kislinsk added a subscriber: kislinsk.EditedFeb 5 2018, 11:42 AM

You can try to work with environment variables to change the type of OpenGL used by a Qt application.
http://doc.qt.io/qt-5/windows-requirements.html#graphics-drivers

This solution works:

  • copy opengl32sw.dll from Qt installation folder to MITK binary folder. Rename to opengl32.dll

Drawback:

  • visualization does not work, but MITK Workbench is starting.
kislinsk closed this task as Invalid.Feb 6 2018, 6:53 AM

This can't be fixed as Windows Remote Desktop falls back to software OpenGl 1.1 which is not supported by MITK. Apparantly one can use another VNC client that is transparent to the used rendering technology as the screen is captured locally and then transmitted.